# Task Receipts

A task management system with receipt printer integration, designed to help people with ADD keep track of their tasks. The system prints tasks and steps to a receipt printer, making it easy to have physical copies of instructions.

## Features

- Group tasks into categories
- Break down tasks into steps with detailed instructions
- Print tasks and steps to a receipt printer
- Track frequently used and recently printed tasks
- Support for images in instructions (automatically converted to black and white for printing)
- Mobile and desktop web interface
- GraphQL API for efficient data fetching

## Prerequisites

- Node.js 18 or later
- SQLite 3
- USB receipt printer (optional, test mode available)

## Installation

1. Clone the repository:
   ```bash
   git clone https://github.com/yourusername/task-receipts.git
   cd task-receipts
   ```

2. Install dependencies:
   ```bash
   npm install
   ```

3. Set up the database:
   ```bash
   npx knex migrate:latest
   ```

4. Start the development server:
   ```bash
   npm run dev
   ```

The server will start at http://localhost:3000, and the GraphQL endpoint will be available at http://localhost:3000/graphql.

## Development

- `npm run dev` - Start the development server
- `npm run build` - Build the project
- `npm start` - Start the production server
- `npm test` - Run tests

## Testing

The project includes a test printer implementation that writes receipts to text files in the `test-output` directory. This makes it easy to test the printing functionality without a physical printer.

## License

MIT